<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:rss="http://purl.org/rss/1.0/"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	exclude-result-prefixes="rdf rss dc"
>
	
	<xsl:variable name="c" select="document(/content/@href)" />
	
	<xsl:template match="/">
		<xsl:call-template name="RDF" />
	</xsl:template>

	<xsl:template name="RDF">
		<xsl:variable name="rdf" select="$c/rdf:RDF" />
		<html xml:lang="ja" lang="ja">
			
			<!-- <head> </head> -->
			<xsl:call-template name="channel"/>
			
			<body>
				<div id="banner">
					<h1><xsl:value-of select="$rdf/rss:channel/rss:title"/></h1>
					<span class="description">
						<xsl:value-of select="$rdf/rss:channel/rss:description"/>
					</span>
				</div>
				
				<div id="content">
					<div class="blog">
						
						<h2 class="date">Updated at <xsl:value-of select="$rdf/rss:channel/dc:date"/></h2>
						
						<ol class="items">
							<xsl:for-each select="$rdf/rss:item">
							
								<li>
									<button class="box" title="Switch" onclick="showHide(this, 'div')">+</button>
									
									<a>
										<xsl:attribute name="href">
											<xsl:value-of select="rss:link"/>
										</xsl:attribute>
										<span class="title">
											<xsl:value-of select="rss:title"/>
										</span>
									</a>
									
									<span class="posted">
										 | 
										Posted by 
										<xsl:value-of select="dc:creator"/>
										 | 
										Updated at 
										<xsl:value-of select="dc:date"/>
									</span>
									
									<div class="summary">
										<xsl:value-of select="rss:description"/>
									</div>
								</li>
								
							</xsl:for-each>
						</ol>
						
						<form action="../rna.cgi?transfer=index.html" method="post">
							<input type="submit" value="Refresh Antenna" alt="Refresh Antenna" />
						</form>

						[<a href="../index.html" alt="Top">Top</a>]
						
					</div>
				</div>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="channel">
		<xsl:variable name="channel" select="$c/rdf:RDF/rss:channel" />
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
			<meta http-equiv="Content-Script-Type" content="text/javascript" />
			<title><xsl:value-of select="$channel/rss:title"/></title>
			<link rel="stylesheet" href="../styles-rna.css" type="text/css" />
			<!-- <style type="text/css"></style> -->
			
			<script type="text/javascript" src="../jscript01.js">
			// ダミー
			</script>
			
		</head>
		
	</xsl:template>

</xsl:stylesheet>
 